Bug 689870 - (tabix) Review Request: tabix - Generic indexer for TAB-delimited genome position files
Review Request: tabix - Generic indexer for TAB-delimited genome position files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-22 13:21 EDT by Adam Huffman
Modified: 2017-02-06 23:33 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 09:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bioinfornatics: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2011-03-22 13:21:57 EDT
Spec URL: http://verdurin.fedorapeople.org/reviews/tabix/tabix.spec
SRPM URL: http://verdurin.fedorapeople.org/reviews/tabix/tabix-0.2.3-1.fc16.src.rpm
Description: 
Tabix indexes a TAB-delimited genome position file in.tab.bgz and
creates an index file in.tab.bgz.tbi when region is absent from the
command-line. The input data file must be position sorted and
compressed by bgzip which has a gzip(1) like interface. After
indexing, tabix is able to quickly retrieve data lines overlapping
regions specified in the format "chr:beginPos-endPos". Fast data
retrieval also works over network if URI is given as a file name and
in this case the index file will be downloaded if it is not present
locally.
Comment 1 Adam Huffman 2011-04-19 06:47:50 EDT
New version with latest upstream release 0.2.4 available at:

http://verdurin.fedorapeople.org/reviews/tabix/tabix.spec

http://verdurin.fedorapeople.org/reviews/tabix/tabix-0.2.4-1.fc16.src.rpm
Comment 3 Simon Andrews 2011-09-21 07:12:20 EDT
Tried to compile this under F15, but failed with the following errors - we saw the same thing doing a vanilla tabix install from the distributed sources.  It looks like a missing dependency?:

$ sudo yum-builddep tabix-0.2.5-1.fc16.src.rpm
Loaded plugins: refresh-packagekit
Getting requirements for tabix-0.2.5-1.fc16.src
 --> Already installed : zlib-devel-1.2.5-3.fc15.x86_64
 --> Already installed : 4:perl-5.12.4-160.fc15.x86_64
 --> Already installed : perl-ExtUtils-MakeMaker-6.56-160.fc15.noarch
 --> Already installed : perl-Test-Simple-0.98-1.fc15.noarch
No uninstalled build requires
[andrewss@bilin1 SRPMS]$ rpmbuild --rebuild tabix-0.2.5-1.fc16.src.rpm
Installing tabix-0.2.5-1.fc16.src.rpm
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
warning: user mockbuild does not exist - using root
warning: group mockbuild does not exist - using root
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.gHV8NH
+ umask 022
+ cd /home/andrewss/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/andrewss/rpmbuild/BUILD
+ rm -rf tabix-0.2.5
+ /usr/bin/bzip2 -dc /home/andrewss/rpmbuild/SOURCES/tabix-0.2.5.tar.bz2
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd tabix-0.2.5
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.GB9jS8
+ umask 022
+ cd /home/andrewss/rpmbuild/BUILD
+ cd tabix-0.2.5
+ LANG=C
+ export LANG
+ unset DISPLAY
+ make -j2
make[1]: Entering directory `/home/andrewss/rpmbuild/BUILD/tabix-0.2.5'
gcc -c -g -Wall -O2 -fPIC  -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE  bgzf.c -o bgzf.o
gcc -c -g -Wall -O2 -fPIC  -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE  kstring.c -o kstring.o
gcc -c -g -Wall -O2 -fPIC  -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE  knetfile.c -o knetfile.o
bgzf.c: In function 'bgzf_close':
bgzf.c:630:8: warning: variable 'count' set but not used [-Wunused-but-set-variable]
gcc -c -g -Wall -O2 -fPIC  -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE  index.c -o index.o
gcc -c -g -Wall -O2 -fPIC  -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE  bedidx.c -o bedidx.o
gcc -c -g -Wall -O2 -fPIC  -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE  main.c -o main.o
gcc -c -g -Wall -O2 -fPIC  -D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE  bgzip.c -o bgzip.o
gcc -g -Wall -O2 -fPIC  -o bgzip bgzip.o bgzf.o knetfile.o -lz
bgzf.o: In function `deflate_block':
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:311: undefined reference to `edeflate'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:313: undefined reference to `edeflateEnd'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:305: undefined reference to `edeflateInit2_'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:329: undefined reference to `edeflateEnd'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:345: undefined reference to `ecrc32'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:346: undefined reference to `ecrc32'
bgzf.o: In function `inflate_block':
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:380: undefined reference to `einflateInit2_'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:385: undefined reference to `einflate'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:391: undefined reference to `einflateEnd'
/home/andrewss/rpmbuild/BUILD/tabix-0.2.5/bgzf.c:387: undefined reference to `einflateEnd'
collect2: ld returned 1 exit status
make[1]: *** [bgzip] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/home/andrewss/rpmbuild/BUILD/tabix-0.2.5'
make: *** [all-recur] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.GB9jS8 (%build)


RPM build errors:
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    Bad exit status from /var/tmp/rpm-tmp.GB9jS8 (%build)
Comment 4 Adam Huffman 2011-09-21 18:30:09 EDT
Thanks for the interest.

I normally build RPMs with mock, to ensure a clean environment and it builds fine for me that way.

Could you give that a try?

I do need to make the compilation flags Fedora-compliant.
Comment 5 Ray Pete 2012-07-07 22:55:45 EDT
New Version release:

http://iski.tv/tabix.spec
http://iski.tv/tabix-0.2.6-1.fc17.src.rpm
Comment 6 MERCIER Jonathan 2012-09-20 19:42:43 EDT
hi,
I taking the review i have do yesterday this package before to see your request.

Mine works : http://bioinfornatics.fedorapeople.org/tabix.spec

These statement should be remove for fedora 16 and higther :
_________________
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
rm -rf %{buildroot}
%clean
rm -rf %{buildroot}
_________________


thanks to merge our works
Comment 7 MERCIER Jonathan 2012-09-20 20:20:28 EDT
Note: todo -> not use static lib
Comment 8 Adam Huffman 2012-09-25 17:16:38 EDT
I generally maintain EPEL5 branches where possible, which is why I keep those statements.

I'll take a look at your .spec and combine the two this weekend.
Comment 9 MERCIER Jonathan 2012-09-26 06:43:43 EDT
ok no problem

To save some time you should contact upstream for not use static library. Because it is a no-go . Currently is possible to edit the makefile to use a shared library. But as fedora want to be close to upstream this job should be done by upstream one day
Comment 10 MERCIER Jonathan 2012-10-23 15:35:14 EDT
ping
Comment 11 MERCIER Jonathan 2013-08-04 09:18:27 EDT
reporter seem to be not anymore interested by packaging
Comment 12 Adam Huffman 2014-07-01 10:00:57 EDT
I haven't been working in this field for over two years now, so it would be better for someone else to adopt this package.

Note You need to log in before you can comment on or make changes to this bug.